[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'FileUtil' (#lcl)

# GetTempFilename

GetTempFilename - finds a suitable name for a temporary file

## Declaration

Source position: fileutil.pas line 178

`function GetTempFilename(`
`const Directory: String;`
`const Prefix: String`
`):String;`

## Arguments

`Directory` |  | The Directory in which the temprary file is to be placed
`Prefix` |  | The Prefix to which an integer will be attached to generate a temporary filename

## Function result

Returns the temporary file name that has been created

## Description

GetTempFilename - finds a suitable name for a temporary file

Uses plus an integer to generate a file with extension '.tmp' in the specified ; if it already exists, increments the integer until it finds a name that is not already used

The latest version of this document can be found at lazarus-ccr.sourceforge.net.